Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.usertesttool
Class CurrentState

    java.lang.Object
      scone.usertesttool.CurrentState

    public class CurrentState

extends java.lang.Object

Constructor Summary
`CurrentState(java.lang.String resultFile, java.lang.String resultPath, int startTask)`
`CurrentState(java.lang.String testPerson, java.lang.String xmlFile, int testNumber, int numberOfTasks, java.lang.String resultPath)`

Method Summary
`void` | `addBrowserControlEvent(java.lang.String action, java.lang.String uri, java.lang.String frameName)`
`void` | `addBrowserEvent(java.lang.String action, java.lang.String uri, java.lang.String frameName)`
`void` | `addButtonClick(java.lang.String name)`
`void` | `addData(java.lang.String tagname, java.lang.String actionData, java.lang.String componentName, java.lang.String timeStamp)`
`void` | `addFormData(java.lang.String action, java.lang.String uri, java.lang.String frameName)`
`void` | `addLinkEvent(java.lang.String action, java.lang.String uri, java.lang.String frameName)`
`void` | `addStopWatch(java.lang.String action, java.lang.String name, long time)`
`void` | `endTask()`
`protected java.lang.String` | `forceEndingSlash(java.lang.String path)`
`int` | `getCompletedTasks()`
`int` | `getCurrentTask()`
`int` | `getNumberOfTasks()`
`java.lang.String` | `getParentFrameAndFrameName()`
`java.lang.String` | `getResultFilename()`
`java.lang.String` | `getXmlFilename()`
`boolean` | `hasMoreTasks()`
`org.w3c.dom.Document` | `parseXmlFile(java.lang.String fileName)`
`void` | `setParentFrameAndFrameName(java.lang.String parentFrameAndFrameName)`
`void` | `setTaskName(java.lang.String name)`
`void` | `startNextTask()`
`void` | `tabDevidedOutput(org.w3c.dom.Node node, java.io.FileWriter out)`
`void` | `writeTabDevidedResults()`
`void` | `writeXmlResults()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CurrentState

    public CurrentState(java.lang.String testPerson,
                        java.lang.String xmlFile,
                        int testNumber,
                        int numberOfTasks,
                        java.lang.String resultPath)

### CurrentState

    public CurrentState(java.lang.String resultFile,
                        java.lang.String resultPath,
                        int startTask)

Method Detail

### parseXmlFile

    public org.w3c.dom.Document parseXmlFile(java.lang.String fileName)

### hasMoreTasks

    public boolean hasMoreTasks()

### startNextTask

    public void startNextTask()

### setTaskName

    public void setTaskName(java.lang.String name)

### addButtonClick

    public void addButtonClick(java.lang.String name)

### addLinkEvent

    public void addLinkEvent(java.lang.String action,
                             java.lang.String uri,
                             java.lang.String frameName)

### addFormData

    public void addFormData(java.lang.String action,
                            java.lang.String uri,
                            java.lang.String frameName)

### addBrowserEvent

    public void addBrowserEvent(java.lang.String action,
                                java.lang.String uri,
                                java.lang.String frameName)

### addBrowserControlEvent

    public void addBrowserControlEvent(java.lang.String action,
                                       java.lang.String uri,
                                       java.lang.String frameName)

### addData

    public void addData(java.lang.String tagname,
                        java.lang.String actionData,
                        java.lang.String componentName,
                        java.lang.String timeStamp)

### addStopWatch

    public void addStopWatch(java.lang.String action,
                             java.lang.String name,
                             long time)

### endTask

    public void endTask()

### writeXmlResults

    public void writeXmlResults()

### writeTabDevidedResults

    public void writeTabDevidedResults()

### tabDevidedOutput

    public void tabDevidedOutput(org.w3c.dom.Node node,
                                 java.io.FileWriter out)

### getCurrentTask

    public int getCurrentTask()

### getXmlFilename

    public java.lang.String getXmlFilename()

### getResultFilename

    public java.lang.String getResultFilename()

### setParentFrameAndFrameName

    public void setParentFrameAndFrameName(java.lang.String parentFrameAndFrameName)

### getParentFrameAndFrameName

    public java.lang.String getParentFrameAndFrameName()

### getNumberOfTasks

    public int getNumberOfTasks()

### getCompletedTasks

    public int getCompletedTasks()

### forceEndingSlash

    protected java.lang.String forceEndingSlash(java.lang.String path)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD